Package org.eclipse.graphiti.internal.services.impl

## Class MigrationServiceImpl

- java.lang.Object
- - org.eclipse.graphiti.internal.services.impl.MigrationServiceImpl

All Implemented Interfaces:
  `IMigrationService`

    public class MigrationServiceImpl
    extends java.lang.Object
    implements IMigrationService

### Constructor Summary

Constructors
`MigrationServiceImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `migrate070To080​(Diagram d)` Moves fonts which, in 0.7.0, were aggregated by AbstractText and Style to the diagram which aggregates fonts centrally as of 0.8.0.
`void` `migrate080To090​(Diagram d)` Sets all filled attributes of abstract text instances to false.
`boolean` `shouldMigrate070To080​(Diagram d)` Checks if fonts are set on graphical elements while not being managed by the diagram.
`boolean` `shouldMigrate080To090​(Diagram d)` Checks if a version number is present.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MigrationServiceImpl

    public MigrationServiceImpl()

### Method Detail

#### migrate070To080

    public void migrate070To080​(Diagram d)

Description copied from interface: `IMigrationService`
Moves fonts which, in 0.7.0, were aggregated by AbstractText and Style to the diagram which aggregates fonts centrally as of 0.8.0. Possibly modifies the diagram. Has to be called from within a write transaction. It is assumed that there is only one diagram stored in the underlying resource.

Specified by:
  `migrate070To080` in interface `IMigrationService`
Parameters:
  `d` - the diagram to be migrated

#### migrate080To090

    public void migrate080To090​(Diagram d)

Description copied from interface: `IMigrationService`
Sets all filled attributes of abstract text instances to false. Prior to 0.9 the filled attribute was not evaluated by the rendering engine. A actual value of TRUE was an effective FALSE. Has to be called from within a write transaction. It is assumed that there is only one diagram stored in the underlying resource.

Specified by:
  `migrate080To090` in interface `IMigrationService`
Parameters:
  `d` - the diagram to be migrated
See Also:
  `org.eclipse.graphiti.ui.internal.editor.DiagramEditorInternal#migrateDiagramModelIfNecessary()`

#### shouldMigrate080To090

    public boolean shouldMigrate080To090​(Diagram d)

Description copied from interface: `IMigrationService`
Checks if a version number is present. Prior to 0.9 no version number was given to the diagram.

Specified by:
  `shouldMigrate080To090` in interface `IMigrationService`
Parameters:
  `d` - the diagram under consideration
Returns:
  true if the diagram should be migrated
See Also:
  `org.eclipse.graphiti.ui.internal.editor.DiagramEditorInternal#migrateDiagramModelIfNecessary()`

#### shouldMigrate070To080

    public boolean shouldMigrate070To080​(Diagram d)

Description copied from interface: `IMigrationService`
Checks if fonts are set on graphical elements while not being managed by the diagram. It is assumed that there is only one diagram stored in the underlying resource.

Specified by:
  `shouldMigrate070To080` in interface `IMigrationService`
Parameters:
  `d` - the diagram under consideration
Returns:
  true if the diagram should be migrated, false otherwise